// link for pieces and model for link hole that fits it

link_head_radius = 5;
link_thickness = 5;
link_overlap = 3;
link_hole_scale = 1.05;

module link() {
	translate([link_overlap-link_head_radius,0,0])
		cylinder(r=link_head_radius, h=link_thickness, center=true, $fn=3);		
		
	translate([-link_overlap+link_head_radius,0,0])
		rotate(180,0,0)
			cylinder(r=link_head_radius, h=link_thickness, center=true, $fn=3);		
}

module link_hole() {
	scale(link_hole_scale,link_hole_scale,link_hole_scale) link();
}